unit SmpHelp;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Tabs;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
	 Memo1: TMemo;
	 InfoPages: TTabSet;
	 procedure InfoPagesClick(Sender: TObject);
  private
	 { Private declarations }
	 CurrentPage: word;
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

Uses Messages;

const
	PgLgth = 15;

procedure TAboutBox.InfoPagesClick(Sender: TObject);
begin
	SendMessage(memo1.handle, EM_LineScroll, 0,
				(InfoPages.TabIndex - CurrentPage)*PgLgth);
	CurrentPage:= InfoPages.TabIndex;
end;

end.

